GrHs_env.data<-read.csv(file="/Users/ryokooono/Dropbox/R_codes_datasets/LegumeRhizobiaDataset/Fall2016_GreenhouseData.csv")
#Subset from Oct. 6 - Dec. 7, 2016

GrHs_env.data$Date_paste<- as.Date(GrHs_env.data$Date_paste, format='%m/%d/%y')
Experiment_Set<-GrHs_env.data[GrHs_env.data$Date_paste >= "2016-10-05" & GrHs_env.data$Date_paste<= "2016-12-05",]
Experiment_Set$PAR_tot <- as.numeric(as.character(Experiment_Set$Ch_1.PAR..umoles.m2.s.)) +
                               as.numeric(as.character(Experiment_Set$Ch_2.PAR..umoles.m2.s.)) +
                               as.numeric(as.character(Experiment_Set$Ch_3.PAR..umoles.m2.s.)) +
                               as.numeric(as.character(Experiment_Set$Ch_4.PAR..umoles.m2.s.))
Experiment_Set$PAR_avg <-  Experiment_Set$PAR_tot/4                             
Experiment_Set$PAR_avg[is.na(Experiment_Set$PAR_avg)] <- 0
Experiment_Set_day <- Experiment_Set[Experiment_Set$PAR_avg > 20,]
Experiment_Set_day$Time_new <- as_hms(Experiment_Set_day$Time)


AveragePAR<- ggplot(data = Experiment_Set_day, aes(x = Date, y = PAR_avg)) +
  geom_point(aes(colour = PAR_avg), alpha = 0.3) + theme_bw() +
  scale_colour_gradient(low = "lightblue", high = "red", na.value = NA) +
theme(axis.title = element_text(face = "plain",
                                  size = 15,
                                  margin=margin(10,10,10,10)),
        axis.text = element_text(size = 10),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        legend.text=element_text(size=12), 
        legend.text.align = 0,
        legend.title = element_text(size=15),
        legend.position = "right",aspect.ratio=1) +
  labs(y = ~paste("Average PAR ", mu, "mol m"^-2,"s"^-1)) +
  scale_x_discrete(breaks=c("10/05/16","11/05/16", "12/05/16")) +
  theme(legend.title = element_blank())


png('/Users/ryokooono/Dropbox/R_figures/LegumeRhizobia/PAR_average.png', units="in", width=5, height=5, res=600)
AveragePAR
dev.off()
